using System;
using System.Data;
using System.Collections.Generic;
using HySoft.Common;
using HySoft.BaseCallCenter.Model;
namespace HySoft.BaseCallCenter.BLL
{
	/// <summary>
	/// T_Wo_WorkOrderButton
	/// </summary>
	public partial class T_Wo_WorkOrderButton
	{
		private readonly HySoft.BaseCallCenter.DAL.T_Wo_WorkOrderButton dal=new HySoft.BaseCallCenter.DAL.T_Wo_WorkOrderButton();
		public T_Wo_WorkOrderButton()
		{}
		#region  Method

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public bool Add(HySoft.BaseCallCenter.Model.T_Wo_WorkOrderButton model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(HySoft.BaseCallCenter.Model.T_Wo_WorkOrderButton model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_ButtonId)
		{
			//该表无主键信息，请自定义主键/条件字段
            return dal.Delete(F_ButtonId);
		}
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_ButtonIdList)
        {
            return dal.DeleteList(F_ButtonIdList);
        }


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public HySoft.BaseCallCenter.Model.T_Wo_WorkOrderButton GetModel(int F_ButtonId)
		{
			//该表无主键信息，请自定义主键/条件字段
            return dal.GetModel(F_ButtonId);
		}


		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<HySoft.BaseCallCenter.Model.T_Wo_WorkOrderButton> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<HySoft.BaseCallCenter.Model.T_Wo_WorkOrderButton> DataTableToList(DataTable dt)
		{
			List<HySoft.BaseCallCenter.Model.T_Wo_WorkOrderButton> modelList = new List<HySoft.BaseCallCenter.Model.T_Wo_WorkOrderButton>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				HySoft.BaseCallCenter.Model.T_Wo_WorkOrderButton model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new HySoft.BaseCallCenter.Model.T_Wo_WorkOrderButton();
					if(dt.Rows[n]["F_ButtonId"]!=null && dt.Rows[n]["F_ButtonId"].ToString()!="")
					{
						model.F_ButtonId=int.Parse(dt.Rows[n]["F_ButtonId"].ToString());
					}
					if(dt.Rows[n]["F_Name"]!=null && dt.Rows[n]["F_Name"].ToString()!="")
					{
					model.F_Name=dt.Rows[n]["F_Name"].ToString();
					}
					if(dt.Rows[n]["F_Code"]!=null && dt.Rows[n]["F_Code"].ToString()!="")
					{
					model.F_Code=dt.Rows[n]["F_Code"].ToString();
					}
					if(dt.Rows[n]["F_Des"]!=null && dt.Rows[n]["F_Des"].ToString()!="")
					{
					model.F_Des=dt.Rows[n]["F_Des"].ToString();
					}
					if(dt.Rows[n]["F_Sort"]!=null && dt.Rows[n]["F_Sort"].ToString()!="")
					{
						model.F_Sort=int.Parse(dt.Rows[n]["F_Sort"].ToString());
					}
					if(dt.Rows[n]["F_Icon"]!=null && dt.Rows[n]["F_Icon"].ToString()!="")
					{
						model.F_Icon=int.Parse(dt.Rows[n]["F_Icon"].ToString());
					}
					if(dt.Rows[n]["F_DeleteFlag"]!=null && dt.Rows[n]["F_DeleteFlag"].ToString()!="")
					{
						model.F_DeleteFlag=int.Parse(dt.Rows[n]["F_DeleteFlag"].ToString());
					}
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

